# SCPDownloadClient (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.xfer.scp
Class SCPDownloadClient

    java.lang.Object
      net.schmizz.sshj.xfer.scp.SCPDownloadClient

    public final class SCPDownloadClient

extends Object

Support for uploading files over a connected link using SCP.

Method Summary
`int` `copy(String sourcePath, LocalDestFile targetFile)` Download a file from `sourcePath` on the connected host to `targetPath` locally.
`boolean` `getRecursiveMode()`
`void` `setRecursiveMode(boolean recursive)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### copy

    public int copy(String sourcePath,
                    LocalDestFile targetFile)
             throws IOException

  Download a file from `sourcePath` on the connected host to `targetPath` locally.

  Throws:
    `IOException`

### getRecursiveMode

    public boolean getRecursiveMode()

### setRecursiveMode

    public void setRecursiveMode(boolean recursive)

Copyright © 2009-2011. All Rights Reserved.